#!/usr/bin/perl
# @file journal.pl
# @author nas
# @date 31/01/2022
# @brief Remote call to the API in order to test

use Config::Std;
use LWP::UserAgent ();

read_config 'test.cfg' => my %config; 
print "Username : $config{Authentification}{Username}\n";
print "Host : $config{Authentification}{Host}\n";
print "Host : $config{Authentification}{Path}\n";
print "Protocol : $config{Authentification}{Username}\n";

local $url = "$config{Authentification}{Host}$config{Authentification}{Path}";
local $ua = LWP::UserAgent->new(timeout => 10);
$ua->env_proxy;

sub rq {
  my $path = (exists $_[0])? $_[0] : "";
  my $response = $ua->get( "$url$path" );
  print "rq $url$path\n";
  if ($response->is_success) {
    print $response->decoded_content;
    print "\n";
  }
  else {
    print $response->status_line;
    print "\n";
  }
}

rq();
rq( "tokens" );
